{ DATABASE kettle  delimiter | }

grant dba to "gbasedbt";



{ TABLE "gbasedbt".r_jobentry_copy row size = 38 number of columns = 9 index size = 15 }

{ unload file name = r_job00192.unl number of rows = 0 }


create table "gbasedbt".r_jobentry_copy 
  (
    id_jobentry_copy int8,
    id_jobentry integer,
    id_job integer,
    id_jobentry_type integer,
    nr integer,
    gui_location_x integer,
    gui_location_y integer,
    gui_draw smallint,
    parallel smallint,
    primary key (id_jobentry_copy)  constraint "gbasedbt".id_jobentry_copy_r_jobentry_copy
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_jobentry_copy from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_step_type row size = 3076 number of columns = 4 index size = 15 }

{ unload file name = r_ste00193.unl number of rows = 236 }


create table "gbasedbt".r_step_type 
  (
    id_step_type int8,
    code varchar(255),
    description varchar(255),
    helptext varchar(255),
    primary key (id_step_type)  constraint "gbasedbt".id_step_type_r_step_type
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_step_type from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_trans_attribute row size = 1114 number of columns = 6 index size = 1050 }

{ unload file name = r_tra00194.unl number of rows = 0 }


create table "gbasedbt".r_trans_attribute 
  (
    id_trans_attribute int8,
    id_transformation integer,
    nr integer,
    code varchar(255),
    value_num int8,
    value_str varchar(2048),
    unique (id_transformation,code,nr)  constraint "gbasedbt".idx_tatt,
    primary key (id_trans_attribute)  constraint "gbasedbt".id_trans_attribute_r_trans_attribute
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_trans_attribute from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_step_attribute row size = 1118 number of columns = 7 index size = 1050 }

{ unload file name = r_ste00195.unl number of rows = 0 }


create table "gbasedbt".r_step_attribute 
  (
    id_step_attribute int8,
    id_transformation integer,
    id_step integer,
    nr integer,
    code varchar(255),
    value_num int8,
    value_str varchar(20480),
    unique (id_step,code,nr)  constraint "gbasedbt".idx_rsat,
    primary key (id_step_attribute)  constraint "gbasedbt".id_step_attribute_r_step_attribute
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_step_attribute from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_jobentry_attribute row size = 1116 number of columns = 7 index size = 1056 }

{ unload file name = r_job00196.unl number of rows = 0 }


create table "gbasedbt".r_jobentry_attribute 
  (
    id_jobentry_attribute int8,
    id_job integer,
    id_jobentry integer,
    nr integer,
    code varchar(255),
    value_num float,
    value_str varchar(2048),
    unique (id_jobentry_attribute,code,nr)  constraint "gbasedbt".idx_rjea,
    primary key (id_jobentry_attribute)  constraint "gbasedbt".id_jobentry_attribute_r_jobentry_attribute
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_jobentry_attribute from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_jobentry_type row size = 2054 number of columns = 3 index size = 15 }

{ unload file name = r_job00197.unl number of rows = 90 }


create table "gbasedbt".r_jobentry_type 
  (
    id_jobentry_type int8,
    code varchar(255),
    description varchar(255),
    primary key (id_jobentry_type)  constraint "gbasedbt".id_jobentry_type_r_jobentry_type
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_jobentry_type from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_log row size = 5132 number of columns = 10 index size = 15 }

{ unload file name = r_log00198.unl number of rows = 0 }


create table "gbasedbt".r_log 
  (
    id_log int8,
    name varchar(255),
    id_loglevel integer,
    logtype varchar(255),
    filename varchar(255),
    fileextention varchar(255),
    add_date smallint,
    add_time smallint,
    id_database_log integer,
    table_name_log varchar(255),
    primary key (id_log)  constraint "gbasedbt".id_log_r_log
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_log from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_trans_lock row size = 93 number of columns = 5 index size = 15 }

{ unload file name = r_tra00199.unl number of rows = 0 }


create table "gbasedbt".r_trans_lock 
  (
    id_trans_lock int8,
    id_transformation integer,
    id_user integer,
    lock_message varchar(2048),
    lock_date datetime year to fraction(5),
    primary key (id_trans_lock)  constraint "gbasedbt".id_trans_lock_r_trans_lock
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_trans_lock from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_value row size = 3078 number of columns = 5 index size = 15 }

{ unload file name = r_val00200.unl number of rows = 0 }


create table "gbasedbt".r_value 
  (
    id_value int8,
    name varchar(255),
    value_type varchar(255),
    value_str varchar(255),
    is_null smallint,
    primary key (id_value)  constraint "gbasedbt".id_value_r_value
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_value from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_namespace row size = 74 number of columns = 2 index size = 15 }

{ unload file name = r_nam00201.unl number of rows = 0 }


create table "gbasedbt".r_namespace 
  (
    id_namespace int8,
    name varchar(2048),
    primary key (id_namespace)  constraint "gbasedbt".id_namespace_r_namespace
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_namespace from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_note row size = 200 number of columns = 20 index size = 15 }

{ unload file name = r_not00202.unl number of rows = 0 }


create table "gbasedbt".r_note 
  (
    id_note int8,
    value_str varchar(2048),
    gui_location_x integer,
    gui_location_y integer,
    gui_location_width integer,
    gui_location_height integer,
    font_name varchar(2048),
    font_size integer,
    font_bold smallint,
    font_italic smallint,
    font_color_red integer,
    font_color_green integer,
    font_color_blue integer,
    font_back_ground_color_red integer,
    font_back_ground_color_green integer,
    font_back_ground_color_blue integer,
    font_border_color_red integer,
    font_border_color_green integer,
    font_border_color_blue integer,
    draw_shadow smallint,
    primary key (id_note)  constraint "gbasedbt".id_note_r_note
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_note from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_job_hop row size = 28 number of columns = 7 index size = 15 }

{ unload file name = r_job00203.unl number of rows = 0 }


create table "gbasedbt".r_job_hop 
  (
    id_job_hop int8,
    id_job integer,
    id_jobentry_copy_from integer,
    id_jobentry_copy_to integer,
    enabled smallint,
    evaluation smallint,
    unconditional smallint,
    primary key (id_job_hop)  constraint "gbasedbt".id_job_hop_r_job_hop
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_job_hop from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_trans_step_condition row size = 12 number of columns = 3 index size = 0 }

{ unload file name = r_tra00204.unl number of rows = 0 }


create table "gbasedbt".r_trans_step_condition 
  (
    id_transformation integer,
    id_step integer,
    id_condition integer
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_trans_step_condition from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_condition row size = 4108 number of columns = 8 index size = 15 }

{ unload file name = r_con00205.unl number of rows = 0 }


create table "gbasedbt".r_condition 
  (
    id_condition int8,
    id_condition_parent integer,
    negated smallint,
    operator varchar(255),
    left_name varchar(255),
    condition_function varchar(255),
    right_name varchar(255),
    id_value_right integer,
    primary key (id_condition)  constraint "gbasedbt".id_condition_r_condition
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_condition from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_job row size = 6310 number of columns = 17 index size = 15 }

{ unload file name = r_job00206.unl number of rows = 0 }


create table "gbasedbt".r_job 
  (
    id_job int8,
    id_directory integer,
    name varchar(255),
    description varchar(2048),
    extended_description varchar(2048),
    job_version varchar(255),
    job_status integer,
    id_database_log integer,
    table_name_log varchar(255),
    created_user varchar(255),
    created_date datetime year to fraction(5),
    modified_user varchar(255),
    modified_date datetime year to fraction(5),
    use_batch_id smallint,
    pass_batch_id smallint,
    use_logfield smallint,
    shared_file varchar(255),
    primary key (id_job)  constraint "gbasedbt".id_job_r_job
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_job from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_partition row size = 1036 number of columns = 3 index size = 15 }

{ unload file name = r_par00207.unl number of rows = 0 }


create table "gbasedbt".r_partition 
  (
    id_partition int8,
    id_partition_schema integer,
    partition_id varchar(255),
    primary key (id_partition)  constraint "gbasedbt".id_partition_r_partition
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_partition from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_transformation row size = 7374 number of columns = 26 index size = 15 }

{ unload file name = r_tra00208.unl number of rows = 0 }


create table "gbasedbt".r_transformation 
  (
    id_transformation int8,
    id_directory integer,
    name varchar(255),
    description varchar(2048),
    extended_description varchar(2048),
    trans_version varchar(255),
    trans_status integer,
    id_step_read integer,
    id_step_write integer,
    id_step_input integer,
    id_step_output integer,
    id_step_update integer,
    id_database_log integer,
    table_name_log varchar(255),
    use_batchid smallint,
    use_logfield smallint,
    id_database_maxdate integer,
    table_name_maxdate varchar(255),
    field_name_maxdate varchar(255),
    offset_maxdate float,
    diff_maxdate float,
    created_user varchar(255),
    created_date datetime year to fraction(5),
    modified_user varchar(255),
    modified_date datetime year to fraction(5),
    size_rowset integer,
    primary key (id_transformation)  constraint "gbasedbt".id_transformation_r_transformation
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_transformation from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_directory row size = 1036 number of columns = 3 index size = 1046 }

{ unload file name = r_dir00209.unl number of rows = 0 }


create table "gbasedbt".r_directory 
  (
    id_directory int8,
    id_directory_parent integer,
    directory_name varchar(255),
    unique (id_directory_parent,directory_name)  constraint "gbasedbt".idx_rdir,
    primary key (id_directory)  constraint "gbasedbt".id_directory_r_directory
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_directory from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_slave row size = 9210 number of columns = 11 index size = 15 }

{ unload file name = r_sla00210.unl number of rows = 0 }


create table "gbasedbt".r_slave 
  (
    id_slave int8,
    name varchar(255),
    host_name varchar(255),
    port varchar(255),
    web_app_name varchar(255),
    username varchar(255),
    password varchar(255),
    proxy_host_name varchar(255),
    proxy_port varchar(255),
    non_proxy_hosts varchar(255),
    master smallint,
    primary key (id_slave)  constraint "gbasedbt".id_slave_r_slave
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_slave from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_trans_hop row size = 24 number of columns = 5 index size = 15 }

{ unload file name = r_tra00211.unl number of rows = 0 }


create table "gbasedbt".r_trans_hop 
  (
    id_trans_hop int8,
    id_transformation integer,
    id_step_from integer,
    id_step_to integer,
    enabled smallint,
    primary key (id_trans_hop)  constraint "gbasedbt".id_trans_hop_r_trans_hop
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_trans_hop from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_job_attribute row size = 1114 number of columns = 6 index size = 1050 }

{ unload file name = r_job00212.unl number of rows = 0 }


create table "gbasedbt".r_job_attribute 
  (
    id_job_attribute int8,
    id_job integer,
    nr integer,
    code varchar(255),
    value_num int8,
    value_str varchar(2048),
    unique (id_job,code,nr)  constraint "gbasedbt".idx_jatt,
    primary key (id_job_attribute)  constraint "gbasedbt".id_job_attribute_r_job_attribute
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_job_attribute from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_loglevel row size = 2054 number of columns = 3 index size = 15 }

{ unload file name = r_log00213.unl number of rows = 6 }


create table "gbasedbt".r_loglevel 
  (
    id_loglevel int8,
    code varchar(255),
    description varchar(255),
    primary key (id_loglevel)  constraint "gbasedbt".id_loglevel_r_loglevel
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_loglevel from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_step_database row size = 12 number of columns = 3 index size = 18 }

{ unload file name = r_ste00214.unl number of rows = 0 }


create table "gbasedbt".r_step_database 
  (
    id_transformation integer,
    id_step integer,
    id_database integer
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_step_database from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_step row size = 2142 number of columns = 11 index size = 15 }

{ unload file name = r_ste00215.unl number of rows = 0 }


create table "gbasedbt".r_step 
  (
    id_step int8,
    id_transformation integer,
    name varchar(255),
    description varchar(2048),
    id_step_type integer,
    distribute smallint,
    copies integer,
    gui_location_x integer,
    gui_location_y integer,
    gui_draw smallint,
    copies_string varchar(255),
    primary key (id_step)  constraint "gbasedbt".id_step_r_step
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_step from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_version row size = 31 number of columns = 5 index size = 15 }

{ unload file name = r_ver00216.unl number of rows = 1 }


create table "gbasedbt".r_version 
  (
    id_version int8,
    major_version integer,
    minor_version integer,
    upgrade_date datetime year to fraction(5),
    is_upgrade smallint,
    primary key (id_version)  constraint "gbasedbt".id_version_r_version
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_version from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_job_lock row size = 93 number of columns = 5 index size = 15 }

{ unload file name = r_job00217.unl number of rows = 0 }


create table "gbasedbt".r_job_lock 
  (
    id_job_lock int8,
    id_job integer,
    id_user integer,
    lock_message varchar(2048),
    lock_date datetime year to fraction(5),
    primary key (id_job_lock)  constraint "gbasedbt".id_job_lock_r_job_lock
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_job_lock from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_job_note row size = 8 number of columns = 2 index size = 0 }

{ unload file name = r_job00218.unl number of rows = 0 }


create table "gbasedbt".r_job_note 
  (
    id_job integer,
    id_note integer
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_job_note from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_jobentry_database row size = 12 number of columns = 3 index size = 18 }

{ unload file name = r_job00219.unl number of rows = 0 }


create table "gbasedbt".r_jobentry_database 
  (
    id_job integer,
    id_jobentry integer,
    id_database integer
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_jobentry_database from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_element row size = 78 number of columns = 3 index size = 15 }

{ unload file name = r_ele00220.unl number of rows = 0 }


create table "gbasedbt".r_element 
  (
    id_element int8,
    id_element_type integer,
    name varchar(2048),
    primary key (id_element)  constraint "gbasedbt".id_element_r_element
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_element from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_jobentry row size = 1104 number of columns = 5 index size = 15 }

{ unload file name = r_job00221.unl number of rows = 0 }


create table "gbasedbt".r_jobentry 
  (
    id_jobentry int8,
    id_job integer,
    id_jobentry_type integer,
    name varchar(255),
    description varchar(2048),
    primary key (id_jobentry)  constraint "gbasedbt".id_jobentry_r_jobentry
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_jobentry from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_database row size = 7240 number of columns = 12 index size = 15 }

{ unload file name = r_dat00222.unl number of rows = 0 }


create table "gbasedbt".r_database 
  (
    id_database int8,
    name varchar(255),
    id_database_type integer,
    id_database_contype integer,
    host_name varchar(255),
    database_name varchar(2048),
    port integer,
    username varchar(255),
    password varchar(255),
    servername varchar(255),
    data_tbs varchar(255),
    index_tbs varchar(255),
    primary key (id_database)  constraint "gbasedbt".id_database_r_database
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_database from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_database_attribute row size = 1100 number of columns = 4 index size = 1046 }

{ unload file name = r_dat00223.unl number of rows = 0 }


create table "gbasedbt".r_database_attribute 
  (
    id_database_attribute int8,
    id_database integer,
    code varchar(255),
    value_str varchar(2048),
    unique (id_database,code)  constraint "gbasedbt".idx_rdat,
    primary key (id_database_attribute)  constraint "gbasedbt".id_database_attribute_r_database_attribute
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_database_attribute from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_trans_partition_schema row size = 18 number of columns = 3 index size = 15 }

{ unload file name = r_tra00224.unl number of rows = 0 }


create table "gbasedbt".r_trans_partition_schema 
  (
    id_trans_partition_schema int8,
    id_transformation integer,
    id_partition_schema integer,
    primary key (id_trans_partition_schema)  constraint "gbasedbt".id_trans_partition_schema_r_trans_partition_schema
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_trans_partition_schema from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_user row size = 4100 number of columns = 6 index size = 15 }

{ unload file name = r_use00225.unl number of rows = 2 }


create table "gbasedbt".r_user 
  (
    id_user int8,
    login varchar(255),
    password varchar(255),
    name varchar(255),
    description varchar(255),
    enabled smallint,
    primary key (id_user)  constraint "gbasedbt".id_user_r_user
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_user from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_cluster_slave row size = 18 number of columns = 3 index size = 15 }

{ unload file name = r_clu00226.unl number of rows = 0 }


create table "gbasedbt".r_cluster_slave 
  (
    id_cluster_slave int8,
    id_cluster integer,
    id_slave integer,
    primary key (id_cluster_slave)  constraint "gbasedbt".id_cluster_slave_r_cluster_slave
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_cluster_slave from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_database_type row size = 2054 number of columns = 3 index size = 15 }

{ unload file name = r_dat00227.unl number of rows = 53 }


create table "gbasedbt".r_database_type 
  (
    id_database_type int8,
    code varchar(255),
    description varchar(255),
    primary key (id_database_type)  constraint "gbasedbt".id_database_type_r_database_type
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_database_type from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_element_attribute row size = 1104 number of columns = 5 index size = 15 }

{ unload file name = r_ele00228.unl number of rows = 0 }


create table "gbasedbt".r_element_attribute 
  (
    id_element_attribute int8,
    id_element integer,
    id_element_attribute_parent integer,
    attr_key varchar(255),
    attr_value varchar(2048), 
    primary key (id_element_attribute)  constraint "gbasedbt".id_element_attribute_r_element_attribute
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_element_attribute from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_element_type row size = 142 number of columns = 4 index size = 15 }

{ unload file name = r_ele00229.unl number of rows = 0 }


create table "gbasedbt".r_element_type 
  (
    id_element_type int8,
    id_namespace integer,
    name varchar(2048),
    description varchar(2048),
    primary key (id_element_type)  constraint "gbasedbt".id_element_type_r_element_type
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_element_type from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_repository_log row size = 2129 number of columns = 5 index size = 15 }

{ unload file name = r_rep00230.unl number of rows = 1 }


create table "gbasedbt".r_repository_log 
  (
    id_repository_log int8,
    rep_version varchar(255),
    log_date datetime year to fraction(5),
    log_user varchar(255),
    operation_desc varchar(2048),
    primary key (id_repository_log)  constraint "gbasedbt".id_repository_log_r_repository_log
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_repository_log from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_trans_cluster row size = 18 number of columns = 3 index size = 15 }

{ unload file name = r_tra00231.unl number of rows = 0 }


create table "gbasedbt".r_trans_cluster 
  (
    id_trans_cluster int8,
    id_transformation integer,
    id_cluster integer,
    primary key (id_trans_cluster)  constraint "gbasedbt".id_trans_cluster_r_trans_cluster
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_trans_cluster from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_trans_slave row size = 18 number of columns = 3 index size = 15 }

{ unload file name = r_tra00232.unl number of rows = 0 }


create table "gbasedbt".r_trans_slave 
  (
    id_trans_slave int8,
    id_transformation integer,
    id_slave integer,
    primary key (id_trans_slave)  constraint "gbasedbt".id_trans_slave_r_trans_slave
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_trans_slave from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_trans_note row size = 8 number of columns = 2 index size = 0 }

{ unload file name = r_tra00233.unl number of rows = 0 }


create table "gbasedbt".r_trans_note 
  (
    id_transformation integer,
    id_note integer
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_trans_note from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_database_contype row size = 2054 number of columns = 3 index size = 15 }

{ unload file name = r_dat00234.unl number of rows = 6 }


create table "gbasedbt".r_database_contype 
  (
    id_database_contype int8,
    code varchar(255),
    description varchar(255),
    primary key (id_database_contype)  constraint "gbasedbt".id_database_contype_r_database_contype
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_database_contype from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_dependency row size = 2062 number of columns = 5 index size = 15 }

{ unload file name = r_dep00235.unl number of rows = 0 }


create table "gbasedbt".r_dependency 
  (
    id_dependency int8,
    id_transformation integer,
    id_database integer,
    table_name varchar(255),
    field_name varchar(255),
    primary key (id_dependency)  constraint "gbasedbt".id_dependency_r_dependency
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_dependency from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_cluster row size = 4102 number of columns = 7 index size = 15 }

{ unload file name = r_clu00236.unl number of rows = 0 }


create table "gbasedbt".r_cluster 
  (
    id_cluster int8,
    name varchar(255),
    base_port varchar(255),
    sockets_buffer_size varchar(255),
    sockets_flush_interval varchar(255),
    sockets_compressed smallint,
    dynamic_cluster smallint,
    primary key (id_cluster)  constraint "gbasedbt".id_cluster_r_cluster
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_cluster from "public" as "gbasedbt";

{ TABLE "gbasedbt".r_partition_schema row size = 2056 number of columns = 4 index size = 15 }

{ unload file name = r_par00237.unl number of rows = 0 }


create table "gbasedbt".r_partition_schema 
  (
    id_partition_schema int8,
    name varchar(255),
    dynamic_definition smallint,
    partitions_per_slave varchar(255),
    primary key (id_partition_schema)  constraint "gbasedbt".id_partition_schema_r_partition_schema
  ) extent size 16 next size 64 lock mode row;

revoke all on "gbasedbt".r_partition_schema from "public" as "gbasedbt";




grant select on "gbasedbt".r_jobentry_copy to "public" as "gbasedbt";
grant update on "gbasedbt".r_jobentry_copy to "public" as "gbasedbt";
grant insert on "gbasedbt".r_jobentry_copy to "public" as "gbasedbt";
grant delete on "gbasedbt".r_jobentry_copy to "public" as "gbasedbt";
grant index on "gbasedbt".r_jobentry_copy to "public" as "gbasedbt";
grant select on "gbasedbt".r_step_type to "public" as "gbasedbt";
grant update on "gbasedbt".r_step_type to "public" as "gbasedbt";
grant insert on "gbasedbt".r_step_type to "public" as "gbasedbt";
grant delete on "gbasedbt".r_step_type to "public" as "gbasedbt";
grant index on "gbasedbt".r_step_type to "public" as "gbasedbt";
grant select on "gbasedbt".r_trans_attribute to "public" as "gbasedbt";
grant update on "gbasedbt".r_trans_attribute to "public" as "gbasedbt";
grant insert on "gbasedbt".r_trans_attribute to "public" as "gbasedbt";
grant delete on "gbasedbt".r_trans_attribute to "public" as "gbasedbt";
grant index on "gbasedbt".r_trans_attribute to "public" as "gbasedbt";
grant select on "gbasedbt".r_step_attribute to "public" as "gbasedbt";
grant update on "gbasedbt".r_step_attribute to "public" as "gbasedbt";
grant insert on "gbasedbt".r_step_attribute to "public" as "gbasedbt";
grant delete on "gbasedbt".r_step_attribute to "public" as "gbasedbt";
grant index on "gbasedbt".r_step_attribute to "public" as "gbasedbt";
grant select on "gbasedbt".r_jobentry_attribute to "public" as "gbasedbt";
grant update on "gbasedbt".r_jobentry_attribute to "public" as "gbasedbt";
grant insert on "gbasedbt".r_jobentry_attribute to "public" as "gbasedbt";
grant delete on "gbasedbt".r_jobentry_attribute to "public" as "gbasedbt";
grant index on "gbasedbt".r_jobentry_attribute to "public" as "gbasedbt";
grant select on "gbasedbt".r_jobentry_type to "public" as "gbasedbt";
grant update on "gbasedbt".r_jobentry_type to "public" as "gbasedbt";
grant insert on "gbasedbt".r_jobentry_type to "public" as "gbasedbt";
grant delete on "gbasedbt".r_jobentry_type to "public" as "gbasedbt";
grant index on "gbasedbt".r_jobentry_type to "public" as "gbasedbt";
grant select on "gbasedbt".r_log to "public" as "gbasedbt";
grant update on "gbasedbt".r_log to "public" as "gbasedbt";
grant insert on "gbasedbt".r_log to "public" as "gbasedbt";
grant delete on "gbasedbt".r_log to "public" as "gbasedbt";
grant index on "gbasedbt".r_log to "public" as "gbasedbt";
grant select on "gbasedbt".r_trans_lock to "public" as "gbasedbt";
grant update on "gbasedbt".r_trans_lock to "public" as "gbasedbt";
grant insert on "gbasedbt".r_trans_lock to "public" as "gbasedbt";
grant delete on "gbasedbt".r_trans_lock to "public" as "gbasedbt";
grant index on "gbasedbt".r_trans_lock to "public" as "gbasedbt";
grant select on "gbasedbt".r_value to "public" as "gbasedbt";
grant update on "gbasedbt".r_value to "public" as "gbasedbt";
grant insert on "gbasedbt".r_value to "public" as "gbasedbt";
grant delete on "gbasedbt".r_value to "public" as "gbasedbt";
grant index on "gbasedbt".r_value to "public" as "gbasedbt";
grant select on "gbasedbt".r_namespace to "public" as "gbasedbt";
grant update on "gbasedbt".r_namespace to "public" as "gbasedbt";
grant insert on "gbasedbt".r_namespace to "public" as "gbasedbt";
grant delete on "gbasedbt".r_namespace to "public" as "gbasedbt";
grant index on "gbasedbt".r_namespace to "public" as "gbasedbt";
grant select on "gbasedbt".r_note to "public" as "gbasedbt";
grant update on "gbasedbt".r_note to "public" as "gbasedbt";
grant insert on "gbasedbt".r_note to "public" as "gbasedbt";
grant delete on "gbasedbt".r_note to "public" as "gbasedbt";
grant index on "gbasedbt".r_note to "public" as "gbasedbt";
grant select on "gbasedbt".r_job_hop to "public" as "gbasedbt";
grant update on "gbasedbt".r_job_hop to "public" as "gbasedbt";
grant insert on "gbasedbt".r_job_hop to "public" as "gbasedbt";
grant delete on "gbasedbt".r_job_hop to "public" as "gbasedbt";
grant index on "gbasedbt".r_job_hop to "public" as "gbasedbt";
grant select on "gbasedbt".r_trans_step_condition to "public" as "gbasedbt";
grant update on "gbasedbt".r_trans_step_condition to "public" as "gbasedbt";
grant insert on "gbasedbt".r_trans_step_condition to "public" as "gbasedbt";
grant delete on "gbasedbt".r_trans_step_condition to "public" as "gbasedbt";
grant index on "gbasedbt".r_trans_step_condition to "public" as "gbasedbt";
grant select on "gbasedbt".r_condition to "public" as "gbasedbt";
grant update on "gbasedbt".r_condition to "public" as "gbasedbt";
grant insert on "gbasedbt".r_condition to "public" as "gbasedbt";
grant delete on "gbasedbt".r_condition to "public" as "gbasedbt";
grant index on "gbasedbt".r_condition to "public" as "gbasedbt";
grant select on "gbasedbt".r_job to "public" as "gbasedbt";
grant update on "gbasedbt".r_job to "public" as "gbasedbt";
grant insert on "gbasedbt".r_job to "public" as "gbasedbt";
grant delete on "gbasedbt".r_job to "public" as "gbasedbt";
grant index on "gbasedbt".r_job to "public" as "gbasedbt";
grant select on "gbasedbt".r_partition to "public" as "gbasedbt";
grant update on "gbasedbt".r_partition to "public" as "gbasedbt";
grant insert on "gbasedbt".r_partition to "public" as "gbasedbt";
grant delete on "gbasedbt".r_partition to "public" as "gbasedbt";
grant index on "gbasedbt".r_partition to "public" as "gbasedbt";
grant select on "gbasedbt".r_transformation to "public" as "gbasedbt";
grant update on "gbasedbt".r_transformation to "public" as "gbasedbt";
grant insert on "gbasedbt".r_transformation to "public" as "gbasedbt";
grant delete on "gbasedbt".r_transformation to "public" as "gbasedbt";
grant index on "gbasedbt".r_transformation to "public" as "gbasedbt";
grant select on "gbasedbt".r_directory to "public" as "gbasedbt";
grant update on "gbasedbt".r_directory to "public" as "gbasedbt";
grant insert on "gbasedbt".r_directory to "public" as "gbasedbt";
grant delete on "gbasedbt".r_directory to "public" as "gbasedbt";
grant index on "gbasedbt".r_directory to "public" as "gbasedbt";
grant select on "gbasedbt".r_slave to "public" as "gbasedbt";
grant update on "gbasedbt".r_slave to "public" as "gbasedbt";
grant insert on "gbasedbt".r_slave to "public" as "gbasedbt";
grant delete on "gbasedbt".r_slave to "public" as "gbasedbt";
grant index on "gbasedbt".r_slave to "public" as "gbasedbt";
grant select on "gbasedbt".r_trans_hop to "public" as "gbasedbt";
grant update on "gbasedbt".r_trans_hop to "public" as "gbasedbt";
grant insert on "gbasedbt".r_trans_hop to "public" as "gbasedbt";
grant delete on "gbasedbt".r_trans_hop to "public" as "gbasedbt";
grant index on "gbasedbt".r_trans_hop to "public" as "gbasedbt";
grant select on "gbasedbt".r_job_attribute to "public" as "gbasedbt";
grant update on "gbasedbt".r_job_attribute to "public" as "gbasedbt";
grant insert on "gbasedbt".r_job_attribute to "public" as "gbasedbt";
grant delete on "gbasedbt".r_job_attribute to "public" as "gbasedbt";
grant index on "gbasedbt".r_job_attribute to "public" as "gbasedbt";
grant select on "gbasedbt".r_loglevel to "public" as "gbasedbt";
grant update on "gbasedbt".r_loglevel to "public" as "gbasedbt";
grant insert on "gbasedbt".r_loglevel to "public" as "gbasedbt";
grant delete on "gbasedbt".r_loglevel to "public" as "gbasedbt";
grant index on "gbasedbt".r_loglevel to "public" as "gbasedbt";
grant select on "gbasedbt".r_step_database to "public" as "gbasedbt";
grant update on "gbasedbt".r_step_database to "public" as "gbasedbt";
grant insert on "gbasedbt".r_step_database to "public" as "gbasedbt";
grant delete on "gbasedbt".r_step_database to "public" as "gbasedbt";
grant index on "gbasedbt".r_step_database to "public" as "gbasedbt";
grant select on "gbasedbt".r_step to "public" as "gbasedbt";
grant update on "gbasedbt".r_step to "public" as "gbasedbt";
grant insert on "gbasedbt".r_step to "public" as "gbasedbt";
grant delete on "gbasedbt".r_step to "public" as "gbasedbt";
grant index on "gbasedbt".r_step to "public" as "gbasedbt";
grant select on "gbasedbt".r_version to "public" as "gbasedbt";
grant update on "gbasedbt".r_version to "public" as "gbasedbt";
grant insert on "gbasedbt".r_version to "public" as "gbasedbt";
grant delete on "gbasedbt".r_version to "public" as "gbasedbt";
grant index on "gbasedbt".r_version to "public" as "gbasedbt";
grant select on "gbasedbt".r_job_lock to "public" as "gbasedbt";
grant update on "gbasedbt".r_job_lock to "public" as "gbasedbt";
grant insert on "gbasedbt".r_job_lock to "public" as "gbasedbt";
grant delete on "gbasedbt".r_job_lock to "public" as "gbasedbt";
grant index on "gbasedbt".r_job_lock to "public" as "gbasedbt";
grant select on "gbasedbt".r_job_note to "public" as "gbasedbt";
grant update on "gbasedbt".r_job_note to "public" as "gbasedbt";
grant insert on "gbasedbt".r_job_note to "public" as "gbasedbt";
grant delete on "gbasedbt".r_job_note to "public" as "gbasedbt";
grant index on "gbasedbt".r_job_note to "public" as "gbasedbt";
grant select on "gbasedbt".r_jobentry_database to "public" as "gbasedbt";
grant update on "gbasedbt".r_jobentry_database to "public" as "gbasedbt";
grant insert on "gbasedbt".r_jobentry_database to "public" as "gbasedbt";
grant delete on "gbasedbt".r_jobentry_database to "public" as "gbasedbt";
grant index on "gbasedbt".r_jobentry_database to "public" as "gbasedbt";
grant select on "gbasedbt".r_element to "public" as "gbasedbt";
grant update on "gbasedbt".r_element to "public" as "gbasedbt";
grant insert on "gbasedbt".r_element to "public" as "gbasedbt";
grant delete on "gbasedbt".r_element to "public" as "gbasedbt";
grant index on "gbasedbt".r_element to "public" as "gbasedbt";
grant select on "gbasedbt".r_jobentry to "public" as "gbasedbt";
grant update on "gbasedbt".r_jobentry to "public" as "gbasedbt";
grant insert on "gbasedbt".r_jobentry to "public" as "gbasedbt";
grant delete on "gbasedbt".r_jobentry to "public" as "gbasedbt";
grant index on "gbasedbt".r_jobentry to "public" as "gbasedbt";
grant select on "gbasedbt".r_database to "public" as "gbasedbt";
grant update on "gbasedbt".r_database to "public" as "gbasedbt";
grant insert on "gbasedbt".r_database to "public" as "gbasedbt";
grant delete on "gbasedbt".r_database to "public" as "gbasedbt";
grant index on "gbasedbt".r_database to "public" as "gbasedbt";
grant select on "gbasedbt".r_database_attribute to "public" as "gbasedbt";
grant update on "gbasedbt".r_database_attribute to "public" as "gbasedbt";
grant insert on "gbasedbt".r_database_attribute to "public" as "gbasedbt";
grant delete on "gbasedbt".r_database_attribute to "public" as "gbasedbt";
grant index on "gbasedbt".r_database_attribute to "public" as "gbasedbt";
grant select on "gbasedbt".r_trans_partition_schema to "public" as "gbasedbt";
grant update on "gbasedbt".r_trans_partition_schema to "public" as "gbasedbt";
grant insert on "gbasedbt".r_trans_partition_schema to "public" as "gbasedbt";
grant delete on "gbasedbt".r_trans_partition_schema to "public" as "gbasedbt";
grant index on "gbasedbt".r_trans_partition_schema to "public" as "gbasedbt";
grant select on "gbasedbt".r_user to "public" as "gbasedbt";
grant update on "gbasedbt".r_user to "public" as "gbasedbt";
grant insert on "gbasedbt".r_user to "public" as "gbasedbt";
grant delete on "gbasedbt".r_user to "public" as "gbasedbt";
grant index on "gbasedbt".r_user to "public" as "gbasedbt";
grant select on "gbasedbt".r_cluster_slave to "public" as "gbasedbt";
grant update on "gbasedbt".r_cluster_slave to "public" as "gbasedbt";
grant insert on "gbasedbt".r_cluster_slave to "public" as "gbasedbt";
grant delete on "gbasedbt".r_cluster_slave to "public" as "gbasedbt";
grant index on "gbasedbt".r_cluster_slave to "public" as "gbasedbt";
grant select on "gbasedbt".r_database_type to "public" as "gbasedbt";
grant update on "gbasedbt".r_database_type to "public" as "gbasedbt";
grant insert on "gbasedbt".r_database_type to "public" as "gbasedbt";
grant delete on "gbasedbt".r_database_type to "public" as "gbasedbt";
grant index on "gbasedbt".r_database_type to "public" as "gbasedbt";
grant select on "gbasedbt".r_element_attribute to "public" as "gbasedbt";
grant update on "gbasedbt".r_element_attribute to "public" as "gbasedbt";
grant insert on "gbasedbt".r_element_attribute to "public" as "gbasedbt";
grant delete on "gbasedbt".r_element_attribute to "public" as "gbasedbt";
grant index on "gbasedbt".r_element_attribute to "public" as "gbasedbt";
grant select on "gbasedbt".r_element_type to "public" as "gbasedbt";
grant update on "gbasedbt".r_element_type to "public" as "gbasedbt";
grant insert on "gbasedbt".r_element_type to "public" as "gbasedbt";
grant delete on "gbasedbt".r_element_type to "public" as "gbasedbt";
grant index on "gbasedbt".r_element_type to "public" as "gbasedbt";
grant select on "gbasedbt".r_repository_log to "public" as "gbasedbt";
grant update on "gbasedbt".r_repository_log to "public" as "gbasedbt";
grant insert on "gbasedbt".r_repository_log to "public" as "gbasedbt";
grant delete on "gbasedbt".r_repository_log to "public" as "gbasedbt";
grant index on "gbasedbt".r_repository_log to "public" as "gbasedbt";
grant select on "gbasedbt".r_trans_cluster to "public" as "gbasedbt";
grant update on "gbasedbt".r_trans_cluster to "public" as "gbasedbt";
grant insert on "gbasedbt".r_trans_cluster to "public" as "gbasedbt";
grant delete on "gbasedbt".r_trans_cluster to "public" as "gbasedbt";
grant index on "gbasedbt".r_trans_cluster to "public" as "gbasedbt";
grant select on "gbasedbt".r_trans_slave to "public" as "gbasedbt";
grant update on "gbasedbt".r_trans_slave to "public" as "gbasedbt";
grant insert on "gbasedbt".r_trans_slave to "public" as "gbasedbt";
grant delete on "gbasedbt".r_trans_slave to "public" as "gbasedbt";
grant index on "gbasedbt".r_trans_slave to "public" as "gbasedbt";
grant select on "gbasedbt".r_trans_note to "public" as "gbasedbt";
grant update on "gbasedbt".r_trans_note to "public" as "gbasedbt";
grant insert on "gbasedbt".r_trans_note to "public" as "gbasedbt";
grant delete on "gbasedbt".r_trans_note to "public" as "gbasedbt";
grant index on "gbasedbt".r_trans_note to "public" as "gbasedbt";
grant select on "gbasedbt".r_database_contype to "public" as "gbasedbt";
grant update on "gbasedbt".r_database_contype to "public" as "gbasedbt";
grant insert on "gbasedbt".r_database_contype to "public" as "gbasedbt";
grant delete on "gbasedbt".r_database_contype to "public" as "gbasedbt";
grant index on "gbasedbt".r_database_contype to "public" as "gbasedbt";
grant select on "gbasedbt".r_dependency to "public" as "gbasedbt";
grant update on "gbasedbt".r_dependency to "public" as "gbasedbt";
grant insert on "gbasedbt".r_dependency to "public" as "gbasedbt";
grant delete on "gbasedbt".r_dependency to "public" as "gbasedbt";
grant index on "gbasedbt".r_dependency to "public" as "gbasedbt";
grant select on "gbasedbt".r_cluster to "public" as "gbasedbt";
grant update on "gbasedbt".r_cluster to "public" as "gbasedbt";
grant insert on "gbasedbt".r_cluster to "public" as "gbasedbt";
grant delete on "gbasedbt".r_cluster to "public" as "gbasedbt";
grant index on "gbasedbt".r_cluster to "public" as "gbasedbt";
grant select on "gbasedbt".r_partition_schema to "public" as "gbasedbt";
grant update on "gbasedbt".r_partition_schema to "public" as "gbasedbt";
grant insert on "gbasedbt".r_partition_schema to "public" as "gbasedbt";
grant delete on "gbasedbt".r_partition_schema to "public" as "gbasedbt";
grant index on "gbasedbt".r_partition_schema to "public" as "gbasedbt";















revoke usage on language SPL from public ;

grant usage on language SPL to public ;





create index "gbasedbt".idx_rsd1 on "gbasedbt".r_step_database 
    (id_transformation) using btree ;
create index "gbasedbt".idx_rsd2 on "gbasedbt".r_step_database 
    (id_database) using btree ;
create index "gbasedbt".idx_rjd1 on "gbasedbt".r_jobentry_database 
    (id_job) using btree ;
create index "gbasedbt".idx_rjd2 on "gbasedbt".r_jobentry_database 
    (id_database) using btree ;




comment on table r_cluster is '集群信息';
comment on table r_cluster_slave is '集群与主备设备关联';
comment on table r_condition is '条件表';
comment on table r_database is '数据库连接信息';
comment on table r_database_attribute is '数据库连接的属性表';
comment on table r_database_contype is '数据库连接方式字典表';
comment on table r_database_type is '数据库类型字典表';
comment on table r_dependency is '转换依赖表';
comment on table r_directory is '逻辑目录';
comment on table r_element is '元素表';
comment on table r_element_attribute is '元素属性表';
comment on table r_element_type is '元素类型表';
comment on table r_job is '作业模型表';
comment on table r_jobentry is '作业操作内容';
comment on table r_jobentry_attribute is '作业具体操作的属性';
comment on table r_jobentry_copy is '作业各个操作设计器中的参数';
comment on table r_jobentry_database is '作业中某个操作连接数据的信息';
comment on table r_jobentry_type is '作业的操作种类';
comment on table r_job_attribute is '作业的属性信息';
comment on table r_job_hop is '作业各个操作的关联关系';
comment on table r_job_lock is '作业的锁定信息';
comment on table r_job_note is '作业注释记录关联表';
comment on table r_log is '日志表';
comment on table r_loglevel is '日志级别';
comment on table r_namespace is '命名空间表';
comment on table r_note is '注释记录表';
comment on table r_partition is '数据库分区';
comment on table r_partition_schema is '数据库分区模式';
comment on table r_repository_log is '资源库操作日志';
comment on table r_slave is '集群主备设备表';
comment on table r_step is '转换中每一步骤操作';
comment on table r_step_attribute is '操作步骤的属性';
comment on table r_step_database is '操作步骤与数据库连接关联关系';
comment on table r_step_type is '步骤类型表';
comment on table r_transformation is '转换模型表';
comment on table r_trans_attribute is '转换属性表';
comment on table r_trans_cluster is '转换-集群关联表';
comment on table r_trans_hop is '转换各个步骤的关联信息';
comment on table r_trans_lock is '转换的锁定信息';
comment on table r_trans_note is '转换注释的关联关系';
comment on table r_trans_partition_schema is '转换的数据库与分区模式关联表';
comment on table r_trans_slave is '转换与子服务器关联表';
comment on table r_trans_step_condition is '转换-步骤-条件的关联表';
comment on table r_user is '用户表';
comment on table r_value is '数值表';
comment on table r_version is '版本信息';

comment on column r_cluster.id_cluster is '集群ID';
comment on column r_cluster.name is '集群名称';
comment on column r_cluster.base_port is '端口';
comment on column r_cluster.SOCKETS_BUFFER_SIZE is '缓冲大小';
comment on column r_cluster.SOCKETS_FLUSH_INTERVAL is '刷新间隔';
comment on column r_cluster.SOCKETS_COMPRESSED is '是否压缩';
comment on column r_cluster.DYNAMIC_CLUSTER is '是否动态集群';

comment on column r_cluster_slave.ID_CLUSTER_SLAVE is '集群与主备设备ID';
comment on column r_cluster_slave.ID_CLUSTER is '集群ID';
comment on column r_cluster_slave.ID_SLAVE is '主备设备ID';

comment on column r_condition.ID_CONDITION is '条件ID';
comment on column r_condition.ID_CONDITION_PARENT is '条件上级ID';
comment on column r_condition.NEGATED is '是否无效(有效=0,无效=1)';
comment on column r_condition.OPERATOR is '运算符';
comment on column r_condition.LEFT_NAME is '条件_左边名称';
comment on column r_condition.CONDITION_FUNCTION is '条件或函数';
comment on column r_condition.RIGHT_NAME is '条件_右边名称';
comment on column r_condition.ID_VALUE_RIGHT is '条件_右边值表ID';

comment on column r_database.ID_DATABASE is '数据库连接ID';
comment on column r_database.NAME is '数据库连接名称';
comment on column r_database.ID_DATABASE_TYPE is '数据库类型ID';
comment on column r_database.ID_DATABASE_CONTYPE is '数据库连接方式ID';
comment on column r_database.HOST_NAME is '主机名称';
comment on column r_database.DATABASE_NAME is '数据库名称';
comment on column r_database.PORT is '端口号';
comment on column r_database.USERNAME is '用户名';
comment on column r_database.PASSWORD is '密码（加密存储）';
comment on column r_database.SERVERNAME is '数据库服务器名称';
comment on column r_database.DATA_TBS is '数据表空间';
comment on column r_database.INDEX_TBS is '索引表空间';

comment on column r_database_attribute.ID_DATABASE_ATTRIBUTE is '数据库连接参数ID';
comment on column r_database_attribute.ID_DATABASE is '对应的数据库表中连接ID';
comment on column r_database_attribute.CODE is '属性名';
comment on column r_database_attribute.VALUE_STR is '属性值';

comment on column r_database_contype.id_database_contype is '数据库类型ID';
comment on column r_database_contype.CODE is 'PDI支持数据库类型';
comment on column r_database_contype.DESCRIPTION is '数据库类型描述';

comment on column r_database_type.ID_DATABASE_TYPE is '数据库类型ID';
comment on column r_database_type.CODE is 'PDI支持的数据库类型';
comment on column r_database_type.DESCRIPTION is '描述';

comment on column r_dependency.ID_DEPENDENCY is '依赖ID';
comment on column r_dependency.ID_TRANSFORMATION is '转换ID';
comment on column r_dependency.ID_DATABASE is '数据库连接ID';
comment on column r_dependency.TABLE_NAME is '表名';
comment on column r_dependency.FIELD_NAME is '字段名';

comment on column r_directory.ID_DIRECTORY is '目录ID';
comment on column r_directory.ID_DIRECTORY_PARENT is '父目录ID，0表示顶级目录';
comment on column r_directory.DIRECTORY_NAME is '目录名称';

comment on column r_element.ID_ELEMENT is '元素ID';
comment on column r_element.ID_ELEMENT_TYPE is '元素类型ID';
comment on column r_element.NAME is '名称';

comment on column r_element_attribute.ID_ELEMENT_ATTRIBUTE is '元素属性ID';
comment on column r_element_attribute.ID_ELEMENT is '元素ID';
comment on column r_element_attribute.ID_ELEMENT_ATTRIBUTE_PARENT is '元素父级属性ID';
comment on column r_element_attribute.ATTR_KEY is '属性键';
comment on column r_element_attribute.ATTR_VALUE is '属性值';

comment on column r_element_type.ID_ELEMENT_TYPE is '元素类型ID';
comment on column r_element_type.ID_NAMESPACE is '命名空间ID';
comment on column r_element_type.NAME is '名称';
comment on column r_element_type.DESCRIPTION is '描述';

comment on column r_job.ID_JOB is '作业ID';
comment on column r_job.ID_DIRECTORY is '逻辑目录ID';
comment on column r_job.NAME is '作业名称';
comment on column r_job.DESCRIPTION is '描述';
comment on column r_job.EXTENDED_DESCRIPTION is '扩展描述';
comment on column r_job.JOB_VERSION is '作业版本号';
comment on column r_job.JOB_STATUS is '作业状态';
comment on column r_job.ID_DATABASE_LOG is 'ID数据库日志';
comment on column r_job.TABLE_NAME_LOG is '表名称_日志';
comment on column r_job.CREATED_USER is '创建者';
comment on column r_job.CREATED_DATE is '创建日期';
comment on column r_job.MODIFIED_USER is '修改者';
comment on column r_job.MODIFIED_DATE is '修改日期';
comment on column r_job.USE_BATCH_ID is '使用批次ID';
comment on column r_job.PASS_BATCH_ID is '传递批次ID';
comment on column r_job.USE_LOGFIELD is '是否记录失败';
comment on column r_job.SHARED_FILE is '共享对象文件';

comment on column r_jobentry.ID_JOBENTRY is '作业操作内容ID';
comment on column r_jobentry.ID_JOB is '作业ID';
comment on column r_jobentry.ID_JOBENTRY_TYPE is '作业操作类别ID';
comment on column r_jobentry.NAME is '名称';
comment on column r_jobentry.DESCRIPTION is '描述';

comment on column r_jobentry_attribute.ID_JOBENTRY_ATTRIBUTE is '作业操作属性ID';
comment on column r_jobentry_attribute.ID_JOB is '作业ID';
comment on column r_jobentry_attribute.ID_JOBENTRY is '作业操作ID';
comment on column r_jobentry_attribute.NR is '编号';
comment on column r_jobentry_attribute.CODE is '属性名称';
comment on column r_jobentry_attribute.VALUE_NUM is '属性数值';
comment on column r_jobentry_attribute.VALUE_STR is '属性内容';

comment on column r_jobentry_copy.ID_JOBENTRY_COPY is '作业操作参数ID';
comment on column r_jobentry_copy.ID_JOBENTRY is '作业操作ID';
comment on column r_jobentry_copy.ID_JOB is '作业ID';
comment on column r_jobentry_copy.ID_JOBENTRY_TYPE is '作业操作种类ID';
comment on column r_jobentry_copy.NR is '序号';
comment on column r_jobentry_copy.GUI_LOCATION_X is '设计器位置X坐标';
comment on column r_jobentry_copy.GUI_LOCATION_Y is '设计器位置Y坐标';
comment on column r_jobentry_copy.GUI_DRAW is '是否GUI绘制';
comment on column r_jobentry_copy.PARALLEL is '并行列队控制';

comment on column r_jobentry_database.ID_JOB is '作业ID';
comment on column r_jobentry_database.ID_JOBENTRY is '作业操作ID';
comment on column r_jobentry_database.ID_DATABASE is '数据库联系ID';

comment on column r_jobentry_type.ID_JOBENTRY_TYPE is '类别ID';
comment on column r_jobentry_type.CODE is '名称';
comment on column r_jobentry_type.DESCRIPTION is '描述';

comment on column r_job_attribute.ID_JOB_ATTRIBUTE is '作业属性ID';
comment on column r_job_attribute.ID_JOB is '作业ID';
comment on column r_job_attribute.NR is '编号';
comment on column r_job_attribute.CODE is '名称';
comment on column r_job_attribute.VALUE_NUM is '属性数值';
comment on column r_job_attribute.VALUE_STR is '属性内容';

comment on column r_job_hop.ID_JOB_HOP is '作业桥接ID';
comment on column r_job_hop.ID_JOB is '作业ID';
comment on column r_job_hop.ID_JOBENTRY_COPY_FROM is '作业操作源';
comment on column r_job_hop.ID_JOBENTRY_COPY_TO is '作业操作目标';
comment on column r_job_hop.ENABLED is '是否可用(启用=1，禁用=0)';
comment on column r_job_hop.EVALUATION is '操作结果(√=1，锁=0，×=0)';
comment on column r_job_hop.UNCONDITIONAL is '条件(无条件=0，有条件=1)';

comment on column r_job_lock.ID_JOB_LOCK is '作业锁定ID';
comment on column r_job_lock.ID_JOB is '作业ID';
comment on column r_job_lock.ID_USER is '用户ID';
comment on column r_job_lock.LOCK_MESSAGE is '锁定信息';
comment on column r_job_lock.LOCK_DATE is '锁定时间';

comment on column r_job_note.ID_JOB is '作业ID';
comment on column r_job_note.ID_NOTE is '注释记录ID';

comment on column r_log.ID_LOG is '日志ID';
comment on column r_log.NAME is '名称';
comment on column r_log.ID_LOGLEVEL is '日志级别';
comment on column r_log.LOGTYPE is '日志类型';
comment on column r_log.FILENAME is '文件名称';
comment on column r_log.FILEEXTENTION is '文件扩展信息';
comment on column r_log.ADD_DATE is '添加日期';
comment on column r_log.ADD_TIME is '添加时间';
comment on column r_log.ID_DATABASE_LOG is '数据库连接ID';
comment on column r_log.TABLE_NAME_LOG is '表名称';

comment on column r_loglevel.ID_LOGLEVEL is '日志级别ID';
comment on column r_loglevel.CODE is '名称';
comment on column r_loglevel.DESCRIPTION is '描述';

comment on column r_namespace.ID_NAMESPACE is '命名空间ID';
comment on column r_namespace.NAME is '名称';

comment on column r_note.ID_NOTE is '记录ID';
comment on column r_note.VALUE_STR is '记录内容';
comment on column r_note.GUI_LOCATION_X is 'GUI位置X坐标';
comment on column r_note.GUI_LOCATION_Y is 'GUI位置Y坐标';
comment on column r_note.GUI_LOCATION_WIDTH is 'GUI位置宽';
comment on column r_note.GUI_LOCATION_HEIGHT is 'GUI位置高';
comment on column r_note.FONT_NAME is '字体_名称';
comment on column r_note.FONT_SIZE is '字体_大小';
comment on column r_note.FONT_BOLD is '字体_加粗';
comment on column r_note.FONT_ITALIC is '字体_斜体';
comment on column r_note.FONT_COLOR_RED is '字体_颜色_红';
comment on column r_note.FONT_COLOR_GREEN is '字体_颜色_绿';
comment on column r_note.FONT_COLOR_BLUE is '字体_颜色_蓝';
comment on column r_note.FONT_BACK_GROUND_COLOR_RED is '字体_背景颜色_红';
comment on column r_note.FONT_BACK_GROUND_COLOR_GREEN is '字体_背景颜色_绿';
comment on column r_note.FONT_BACK_GROUND_COLOR_BLUE is '字体_背景颜色_蓝';
comment on column r_note.FONT_BORDER_COLOR_RED is '字体_边框颜色_红';
comment on column r_note.FONT_BORDER_COLOR_GREEN is '字体_边框颜色_绿';
comment on column r_note.FONT_BORDER_COLOR_BLUE is '字体_边框颜色_蓝';
comment on column r_note.DRAW_SHADOW is '是否阴影';

comment on column r_partition.ID_PARTITION is '数据库分区ID';
comment on column r_partition.ID_PARTITION_SCHEMA is '数据库分区模式ID';
comment on column r_partition.PARTITION_ID is '分区ID名称';

comment on column r_partition_schema.ID_PARTITION_SCHEMA is '数据库分区模式ID';
comment on column r_partition_schema.NAME is '分区模式名称';
comment on column r_partition_schema.DYNAMIC_DEFINITION is '是否动态定义';
comment on column r_partition_schema.PARTITIONS_PER_SLAVE is '每个从属服务器的分区数';

comment on column r_repository_log.ID_REPOSITORY_LOG is '资源日志ID';
comment on column r_repository_log.REP_VERSION is '版本号';
comment on column r_repository_log.LOG_DATE is '记录日期';
comment on column r_repository_log.LOG_USER is '记录用户';
comment on column r_repository_log.OPERATION_DESC is '记录内容';

comment on column r_slave.ID_SLAVE is '子服务器ID';
comment on column r_slave.NAME is '服务器名称';
comment on column r_slave.HOST_NAME is '主机名称';
comment on column r_slave.PORT is '端口号';
comment on column r_slave.WEB_APP_NAME is 'WEB的名称';
comment on column r_slave.USERNAME is '用户名';
comment on column r_slave.PASSWORD is '密码';
comment on column r_slave.PROXY_HOST_NAME is '代理主机名';
comment on column r_slave.PROXY_PORT is '代理端口';
comment on column r_slave.NON_PROXY_HOSTS is '代理主机的正则或分割';
comment on column r_slave.MASTER is '是否主服务器';

comment on column r_step.ID_STEP is '步骤ID';
comment on column r_step.ID_TRANSFORMATION is '转换ID';
comment on column r_step.NAME is '步骤名称';
comment on column r_step.DESCRIPTION is '步骤描述';
comment on column r_step.ID_STEP_TYPE is '步骤类型ID';
comment on column r_step.DISTRIBUTE is '数据分配（复制=0，分发=1）';
comment on column r_step.COPIES is '开始复制数量';
comment on column r_step.GUI_LOCATION_X is 'GUI位置X坐标';
comment on column r_step.GUI_LOCATION_Y is 'GUI位置Y坐标';
comment on column r_step.GUI_DRAW is '是否绘制';
comment on column r_step.COPIES_STRING is '开始复制数量字符串';

comment on column r_step_attribute.ID_STEP_ATTRIBUTE is '操作步骤属性ID';
comment on column r_step_attribute.ID_TRANSFORMATION is '转换ID';
comment on column r_step_attribute.ID_STEP is '操作步骤ID';
comment on column r_step_attribute.NR is '编号';
comment on column r_step_attribute.CODE is '组件名称';
comment on column r_step_attribute.VALUE_NUM is '组件数值';
comment on column r_step_attribute.VALUE_STR is '组件内容';

comment on column r_step_database.ID_TRANSFORMATION is '转换ID';
comment on column r_step_database.ID_STEP is '步骤ID';
comment on column r_step_database.ID_DATABASE is '数据库连接ID';

comment on column r_step_type.ID_STEP_TYPE is '步骤类型ID';
comment on column r_step_type.CODE is '步骤名称';
comment on column r_step_type.DESCRIPTION is '描述';
comment on column r_step_type.HELPTEXT is '帮助信息文本';

comment on column r_transformation.ID_TRANSFORMATION is '转换ID';
comment on column r_transformation.ID_DIRECTORY is '逻辑目录ID';
comment on column r_transformation.NAME is '转换名称';
comment on column r_transformation.DESCRIPTION is '描述';
comment on column r_transformation.EXTENDED_DESCRIPTION is '扩展描述';
comment on column r_transformation.TRANS_VERSION is '版本号';
comment on column r_transformation.TRANS_STATUS is '状态（草案=1；产品=2； 默认=-1）';
comment on column r_transformation.ID_STEP_READ is 'ID_步骤_读取';
comment on column r_transformation.ID_STEP_WRITE is 'ID_步骤_写入';
comment on column r_transformation.ID_STEP_INPUT is 'ID_步骤_输入';
comment on column r_transformation.ID_STEP_OUTPUT is 'ID_步骤_输出';
comment on column r_transformation.ID_STEP_UPDATE is 'ID_步骤_更新';
comment on column r_transformation.ID_DATABASE_LOG is '日志数据库连接ID';
comment on column r_transformation.TABLE_NAME_LOG is '日志数据库连接名称';
comment on column r_transformation.USE_BATCHID is '批次启用';
comment on column r_transformation.USE_LOGFIELD is '失败时是否记录日志';
comment on column r_transformation.ID_DATABASE_MAXDATE is '最大日期数据连接ID';
comment on column r_transformation.TABLE_NAME_MAXDATE is '最大日期表';
comment on column r_transformation.FIELD_NAME_MAXDATE is '最大日期字段';
comment on column r_transformation.OFFSET_MAXDATE is '最大日期偏移（秒）';
comment on column r_transformation.DIFF_MAXDATE is '最大日期区别（秒）';
comment on column r_transformation.CREATED_USER is '创建者';
comment on column r_transformation.CREATED_DATE is '创建日期';
comment on column r_transformation.MODIFIED_USER is '最近修改的用户';
comment on column r_transformation.MODIFIED_DATE is '最新修改日期';
comment on column r_transformation.SIZE_ROWSET is '记录集合里的记录数';

comment on column r_trans_attribute.ID_TRANS_ATTRIBUTE is '转换属性ID';
comment on column r_trans_attribute.ID_TRANSFORMATION is '转换ID';
comment on column r_trans_attribute.NR is '序号';
comment on column r_trans_attribute.CODE is '属性名称';
comment on column r_trans_attribute.VALUE_NUM is '属性数值';
comment on column r_trans_attribute.VALUE_STR is '属性内容';

comment on column r_trans_cluster.ID_TRANS_CLUSTER is '转换集群ID';
comment on column r_trans_cluster.ID_TRANSFORMATION is '转换ID';
comment on column r_trans_cluster.ID_CLUSTER is '集群ID';

comment on column r_trans_hop.ID_TRANS_HOP is '桥接ID';
comment on column r_trans_hop.ID_TRANSFORMATION is '转换ID';
comment on column r_trans_hop.ID_STEP_FROM is '连接源（从）';
comment on column r_trans_hop.ID_STEP_TO is '连接目标（到）';
comment on column r_trans_hop.ENABLED is '是否生效(生效=1，未生效=0)';

comment on column r_trans_lock.ID_TRANS_LOCK is '转换锁定ID';
comment on column r_trans_lock.ID_TRANSFORMATION is '转换ID';
comment on column r_trans_lock.ID_USER is '用户ID';
comment on column r_trans_lock.LOCK_MESSAGE is '锁定信息';
comment on column r_trans_lock.LOCK_DATE is '锁定日期';

comment on column r_trans_note.ID_TRANSFORMATION is '转换ID';
comment on column r_trans_note.ID_NOTE is '注释ID';

comment on column r_trans_partition_schema.ID_TRANS_PARTITION_SCHEMA is '关联表ID';
comment on column r_trans_partition_schema.ID_TRANSFORMATION is '转换ID';
comment on column r_trans_partition_schema.ID_PARTITION_SCHEMA is '数据库分区模式ID';

comment on column r_trans_slave.ID_TRANS_SLAVE is '转换子服务器桥接ID';
comment on column r_trans_slave.ID_TRANSFORMATION is '转换ID';
comment on column r_trans_slave.ID_SLAVE is '子服务器ID';

comment on column r_trans_step_condition.ID_TRANSFORMATION is '转换ID';
comment on column r_trans_step_condition.ID_STEP is '步骤ID';
comment on column r_trans_step_condition.ID_CONDITION is '条件ID';

comment on column r_user.ID_USER is 'ID';
comment on column r_user.LOGIN is '登录用户名';
comment on column r_user.PASSWORD is '登录密码';
comment on column r_user.NAME is '名字';
comment on column r_user.DESCRIPTION is '描述';
comment on column r_user.ENABLED is '是否启用';

comment on column r_value.ID_VALUE is '数值ID';
comment on column r_value.NAME is '名称';
comment on column r_value.VALUE_TYPE is '数值类型';
comment on column r_value.VALUE_STR is '数值字符';
comment on column r_value.IS_NULL is '是否为空';

comment on column r_version.ID_VERSION is 'ID版本';
comment on column r_version.MAJOR_VERSION is '主版本号';
comment on column r_version.MINOR_VERSION is '次版本号';
comment on column r_version.UPGRADE_DATE is '更新日期';
comment on column r_version.IS_UPGRADE is '是否更新';

